// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "job.h"

Core::Job::Job(Core::Job::Id p_id, Core::Job::Type p_type) :
    id (p_id),
    type (p_type) {}


Core::Job::Job(const Core::Job& other) :
    id(other.id),
    type(other.type) {}

Core::Job::~Job() {}

Core::Job::Type Core::Job::getType() const {
    return type;
}
